> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getpaperjet.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new workflow

> Create a new workflow



## OpenAPI

````yaml post /api/v1/workflows
openapi: 3.1.0
info:
  title: PaperJet API
  description: Secure document extraction API
  version: 1.0.0
servers:
  - url: https://app.getpaperjet.com
    description: Production Server
security:
  - apiKeyAuth: []
paths:
  /api/v1/workflows:
    post:
      description: Create a new workflow
      operationId: postApiV1Workflows
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  minLength: 1
                description:
                  default: ''
                  type: string
                configuration:
                  type: object
                  properties:
                    objects:
                      type: array
                      items:
                        type: object
                        properties:
                          name:
                            type: string
                          description:
                            type: string
                          fields:
                            type: array
                            items:
                              type: object
                              properties:
                                name:
                                  type: string
                                description:
                                  type: string
                                type:
                                  anyOf:
                                    - type: string
                                      const: string
                                    - type: string
                                      const: date
                                    - type: string
                                      const: number
                              required:
                                - name
                                - type
                          tables:
                            type: array
                            items:
                              type: object
                              properties:
                                name:
                                  type: string
                                description:
                                  type: string
                                columns:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      name:
                                        type: string
                                      description:
                                        type: string
                                      type:
                                        anyOf:
                                          - type: string
                                            const: string
                                          - type: string
                                            const: date
                                          - type: string
                                            const: number
                                    required:
                                      - name
                                      - type
                              required:
                                - name
                                - columns
                        required:
                          - name
                  required:
                    - objects
              required:
                - name
                - configuration
      responses:
        '201':
          description: Workflow created
          content:
            application/json:
              schema:
                type: object
                properties:
                  workflowId:
                    type: string
                  message:
                    type: string
                required:
                  - workflowId
                  - message
        '500':
          description: Error response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````